Loading...
Searching...
No Matches
XrdSsiTrace.hh File Reference
`#include "XrdSys/XrdSysTrace.hh"`
Include dependency graph for XrdSsiTrace.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | XrdSsi

## Macros

#define | DEBUG(y)
#define | EPNAME(x)
#define | QTRACE(act)
#define | TRACESSI_ALL 0xffff
#define | TRACESSI_Debug 0x0001

## Macro Definition Documentation

## DEBUG

#define DEBUG | ( |  | y | ) |

Value:
if (Trace.What & TRACESSI_Debug) \
SYSTRACE(Trace., tident, epname, 0, y)
tident
#define tident
Definition XrdBwmHandle.cc:109
TRACESSI_Debug
#define TRACESSI_Debug
Definition XrdSsiTrace.hh:34
XrdSysTrace::What
int What
Definition XrdSysTrace.hh:64

Definition at line 42 of file XrdSsiTrace.hh.

#define DEBUG(y) if (Trace.What & TRACESSI_Debug) \
SYSTRACE(Trace., tident, epname, 0, y)

## EPNAME

#define EPNAME | ( |  | x | ) |

Value:
static const char *epname = x;

Definition at line 45 of file XrdSsiTrace.hh.

## QTRACE

#define QTRACE | ( |  | act | ) |

Value:
Trace.What & TRACESSI_ ## act

Definition at line 40 of file XrdSsiTrace.hh.

## TRACESSI_ALL

#define TRACESSI_ALL 0xffff

Definition at line 33 of file XrdSsiTrace.hh.

Referenced by XrdSsiSfsConfig::Configure().

## TRACESSI_Debug

#define TRACESSI_Debug 0x0001

Definition at line 34 of file XrdSsiTrace.hh.

Referenced by XrdSsiSfsConfig::Configure().